Docs
Maintenance

Update Window

PUT
/api/maintenance/{window_id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key from the app, starting with upk_

Path Parameters

window_id*Window Id
Formatuuid

Request Body

application/json
  1. body
title*Title
Length1 <= length <= 80
starts_at*Starts At
Formatdate-time
ends_at?|null
monitor_ids*array<>
Items1 <= items <= 50
recurrence?string|null
recurrence_days?array<integer|string>|null
recurrence_until?|null
timezone?Timezone
Default"UTC"
duration_minutes?integer|null

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X PUT 'https://upty.io/api/maintenance/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "title": "string",  "starts_at": "2019-08-24T14:15:22Z",  "monitor_ids": [    "97ea48fa-4f9c-4c37-9c10-d93567966552"  ]}'
Example Response
null